{% extends 'base.html' %}
{% load static i18n %}
{% load crispy_forms_tags %}

{% block title %}{% trans 'Answer a question' %}{% endblock %}

{% block content %}

  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="{% url 'news:list' %}">{% trans 'Home' %}</a></li>
      <li class="breadcrumb-item"><a href="{% url 'qa:index_all' %}">{% trans 'Q&A' %}</a></li>
      <li class="breadcrumb-item active" aria-current="page">{% trans 'Answer a question' %}</li>
    </ol>
  </nav>
  {%block answer_form%}
  <form action="{% url 'qa:propose_answer' view.kwargs.question_id %}" id="answerForm" method="post" role="form">
    {% endblock answer_form %}
    {% csrf_token %}
    {{ form|crispy }}
    <div class="form-group">
      <button id="answer" type="submit" class="btn btn-primary">{% trans 'Answer' %}</button>
      <a href="{% url 'qa:index_all' %}" class="btn btn-default">{% trans 'Cancel' %}</a>
    </div>
  </form>
  {{ form.media }}

{% endblock content %}
